# Class CSCertificateOutputDirectory

java.lang.Object
com.io7m.certusine.vanilla.internal.CSCertificateOutputDirectory

All Implemented Interfaces:
  `CSCertificateOutputType`

public final class CSCertificateOutputDirectory extends Object implements CSCertificateOutputType
A directory-based certificate output.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CSCertificateOutputDirectory(String inName, Path inPath)`
  A directory-based certificate output.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `name()`
  `String`
  `toString()`
  `String`
  `type()`
  `void`
  `write(CSTelemetryServiceType telemetry, CSCertificateOutputData outputData)`
  Write a certificate to the output.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CSCertificateOutputDirectory

    public CSCertificateOutputDirectory(String inName, Path inPath)
    A directory-based certificate output.
    Parameters:
      `inName` - The output name
      `inPath` - The output directory path

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### type

    public String type()
    Specified by:
      `type` in interface `CSCertificateOutputType`
    Returns:
      The type of the output

  - ### name

    public String name()
    Specified by:
      `name` in interface `CSCertificateOutputType`
    Returns:
      The name of the output

  - ### write

    public void write(CSTelemetryServiceType telemetry, CSCertificateOutputData outputData) throws IOException
    Description copied from interface: `CSCertificateOutputType`
    Write a certificate to the output.
    Specified by:
      `write` in interface `CSCertificateOutputType`
    Parameters:
      `telemetry` - The telemetry service
      `outputData` - The data to be written
    Throws:
      `IOException` - On I/O errors